@ECHO OFF
REM ***************************************************************************
REM ** Installation Script for Macromedia AuthorWare 2004 Plugin             **
REM **                                                                       **
REM ** The script requires the location of the Macromedia AuthorWare         **
REM ** installation files (awswax.inf, awswax.ocx, np32asw.dll) to be        **
REM ** specified via the variable BASE_PATH.  Change the value of the        **
REM ** variable before proceeding.                                           **
REM **                                                                       **
REM ** The installation will first run the INF installation supplied by the  **
REM ** CAB file, which should place the DLLs and OCX controls in the         **
REM ** "%SystemRoot%\system32\macromed\authorwa" directory. To complete the  **
REM ** plug-in installation, the ActiveX control must be registered with     **
REM ** Windows via the regsvr32 command.                                     **
REM **                                                                       **
REM ** @author Brian Reich <breich@reich-consulting.net>                     **
REM ** @copyright (C) 2008 Reich Consulting http://www.reich-consulting.net  **
REM ** @version 2008-03-28							                         **
REM ***************************************************************************

REM Set the path containing the Authorware files.
SET BASE_PATH=\\path\to\authorware


rundll32 setupapi.dll,InstallHinfSection DefaultInstall 0 %BASE_PATH%\awswax.inf
regsvr32 /s %SystemRoot%\system32\Macromed\AUTHORWA\awswax.ocx